---
version: '3.7'
services:
  registry:
    environment:
      REGISTRY_STORAGE_DELETE_ENABLED: "true"
    healthcheck:
      test:
        - CMD-SHELL
        - >-
          wget
          --spider
          http://127.0.0.1:5000/v2/_catalog
          || exit 1
    image: registry.hub.docker.com/library/registry:2.8.1
    restart: always
    volumes:
      - "registry:/var/lib/registry"

  reg:
    command:
      - "server"
      - "--registry"
      - "registry.shore.co.il"
      - "--interval"
      - "5m"
    healthcheck:
      test:
        - CMD-SHELL
        - >-
          wget
          --spider
          http://127.0.0.1:8080/
          || exit 1
    image: r.j3ss.co/reg:v0.16.1
    restart: always

  crond:
    build:
      context: crond/
    restart: always
    volumes:
      - /run/docker.sock:/run/docker.sock

volumes:
  registry:

networks:
  default:
    name: shore
